{"openapi":"3.0.4","info":{"title":"List data types","description":"List all data types in a specified scope","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/datatypes/{scope}":{"get":{"tags":["Data Types"],"summary":"List data types","description":"List all data types in a specified scope","operationId":"ListDataTypes","parameters":[{"name":"scope","in":"path","description":"The requested scope of the data types","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"asAt","in":"query","description":"The as at of the requested data types","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"includeSystem","in":"query","description":"Whether to additionally include those data types in the \"system\" scope","schema":{"type":"boolean"},"x-nullable":true},{"name":"sortBy","in":"query","description":"Optional. Order the results by these fields. Use use the '-' sign to denote descending order e.g. -MyFieldName","schema":{"type":"array","items":{"type":"string"}},"x-nullable":true},{"name":"limit","in":"query","description":"Optional. When paginating, limit the number of returned results to this many.","schema":{"type":"integer","format":"int32"},"x-nullable":true},{"name":"filter","in":"query","description":"Optional. Expression to filter the result set.\r\n            For example, to filter on the Display Name, use \"displayName eq 'string'\"\r\n            Read more about filtering results from LUSID here https://support.lusid.com/filtering-results-from-lusid.","schema":{"maxLength":16384,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfDataType"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfDataType"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfDataType"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}